# Send notification to the organization (ORG)

## Send notification to the organization (ORG)

<mark style="color:green;">`POST`</mark> `{{baseURL}}/tool/organizations/{{orgId}}/notifications`

Broadcast notifications to all users across the entire organization.

**Headers**

| Name          | Value                                                                                     |
| ------------- | ----------------------------------------------------------------------------------------- |
| Authorization | <p><code>Bearer \<token></code></p><p>Bearer Token - format:<br>BEARER XXXXXXXXXXXXXX</p> |

**Body**

Configure the following properties in the JSON body:

<table><thead><tr><th width="168.26953125">Name</th><th width="185.48046875">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>title</code></td><td>string</td><td>Title of the notification.</td></tr><tr><td><code>text</code></td><td>string</td><td>Notification message.</td></tr><tr><td><code>scope</code></td><td>string</td><td>"ORG"</td></tr></tbody></table>

{% code title="JSON body" %}

```json
{
  "content": {
    "title": "Update your app",
    "text": "We released a new version of the app",
    "screen":"jig"
  },
  "scope": "ORG"
}
```

{% endcode %}

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
    "organizationId": "{{orgId}}",
    "region": "us-east-1",
    "notificationId": "02817dcd-175c-4d0f-8c47-f1838c8e628c",
    "scope": "ORG",
    "state": "QUEUED",
    "startAt": "2025-04-04T10:06:50.444Z",
    "content": {
        "text": "We released a new version of the app",
        "title": "Update your app",
        "screen": "jig",
        "inputs": {}
    },
    "createdAt": "2025-04-04T10:06:50.444Z",
    "createdBy": "{{userId}}",
    "updatedAt": "2025-04-04T10:06:50.444Z",
    "updatedBy": "{{userId}}"
}
```

{% endtab %}

{% tab title="400" %}

```json
{
    "message": "Unauthorized"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.jigx.com/examples/readme/notifications/external-push-notifications-_api_/send-notification-to-the-organization-_org_.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
